Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4.utils
Class InterM4ObjectToObject

    java.lang.Object
      edu.udo.cs.miningmart.m4.utils.InterM4ObjectToObject

Direct Known Subclasses:
  InterM4ColumnsetPrimaryKey, InterM4DataToDocu, InterM4GraphicalObjectToCoordinates, InterM4RelationToColumnset, InterM4RelationToFromKey, InterM4RelationToToKey

    public abstract class InterM4ObjectToObject

extends java.lang.Object

This abstract class embeds all the necessary communication between two `M4Objects` A and B, where A and B have each a single reference to each other. A is referred to as the "first object" and B as the "second object". All that is necessary to enable the communication is to create a subclass S implementing the abstract methods by calling the original methods of the classes. Then the offered methods of an "S object" can be called from the corresponding method of the communicating objects.

Version:
  $Id: InterM4ObjectToObject.java,v 1.4 2006/09/27 14:59:55 euler Exp $
Author:
  Timm Euler

Constructor Summary
`InterM4ObjectToObject()`

Method Summary
`void` | `removeReferences(M4Object first, M4Object second)` This method makes sure that the given M4Objects do NOT refer to each other.
`void` | `setReciprocalReferences(M4Object first, M4Object second)` This method makes sure that each of the given M4Objects refers to the other one.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InterM4ObjectToObject

    public InterM4ObjectToObject()

Method Detail

### removeReferences

    public void removeReferences(M4Object first,
                                 M4Object second)
                          throws M4Exception

  This method makes sure that the given M4Objects do NOT refer to each other. The order of objects (first and second) is important and must be consistent with the use of the other methods in this class!

  Parameters:
    `first` - the first object
    `second` - the second object
  Throws:
    `M4Exception`

### setReciprocalReferences

    public void setReciprocalReferences(M4Object first,
                                        M4Object second)
                                 throws M4Exception

  This method makes sure that each of the given M4Objects refers to the other one. The order of objects (first and second) is important and must be consistent with the use of the other methods in this class!

  Parameters:
    `first` - the first object
    `second` - the second object
  Throws:
    `M4Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005